package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.diagbot.entity.KlConceptCommon;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.KlConceptCommonService;
import com.diagbot.service.impl.KlConceptCommonServiceImpl;
import com.diagbot.util.DateUtil;
import com.diagbot.util.UserUtils;
import com.diagbot.vo.KlConceptSaveVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-18 16:30
 */
@Component
public class KlConceptCommonFacade extends KlConceptCommonServiceImpl {
    @Autowired
    KlConceptCommonService KlConceptCommonService;


    public boolean saveOrUpdateAll(KlConceptSaveVO klConceptSaveVO) {
        Date now = DateUtil.now();
        boolean res = false;
        if (null != klConceptSaveVO.getConceptId()) {
            UpdateWrapper<KlConceptCommon> klConceptCommonQuerySub = new UpdateWrapper<>();
            klConceptCommonQuerySub.eq("is_deleted", IsDeleteEnum.N.getKey())
                    .eq("concept_id", klConceptSaveVO.getConceptId())
                    .set("gmt_modified", now)
                    .set("modifier", UserUtils.getCurrentPrincipleID())
                    .set("sex_type", klConceptSaveVO.getSexType())
                    .set("min_age", klConceptSaveVO.getMinAge())
                    .set("max_age", klConceptSaveVO.getMaxAge());
            res = this.update(klConceptCommonQuerySub);
        } else {
            KlConceptCommon klConceptCommonSub = new KlConceptCommon();
            klConceptCommonSub.setConceptId(klConceptSaveVO.getConceptId());
            klConceptCommonSub.setMaxAge(klConceptSaveVO.getMaxAge());
            klConceptCommonSub.setMinAge(klConceptSaveVO.getMinAge());
            klConceptCommonSub.setGmtModified(now);
            klConceptCommonSub.setModifier(UserUtils.getCurrentPrincipleID());
            res = this.save(klConceptCommonSub);
        }

        return res;

    }
}
