package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.diagbot.entity.KlDisease;
import com.diagbot.entity.KlLis;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.KlLisService;
import com.diagbot.service.impl.KlLisServiceImpl;
import com.diagbot.util.DateUtil;
import com.diagbot.util.UserUtils;
import com.diagbot.vo.KlConceptSaveVO;
import org.checkerframework.checker.units.qual.C;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-18 16:38
 */
@Component
public class KlLisFacade extends KlLisServiceImpl {

    public boolean saveOrUpdateAll(KlConceptSaveVO klConceptSaveVO) {
        Date now = DateUtil.now();
        boolean res = false;
        if (null != klConceptSaveVO.getConceptId()) {
            UpdateWrapper<KlLis> klDiseaseQuerySub = new UpdateWrapper<>();
            klDiseaseQuerySub.eq("is_deleted", IsDeleteEnum.N.getKey())
                    .eq("concept_id", klConceptSaveVO.getConceptId())
                    .set("gmt_modified", now)
                    .set("modifier", UserUtils.getCurrentPrincipleID())
                    .set("min_value", klConceptSaveVO.getMinVal())
                    .set("max_value", klConceptSaveVO.getMaxVal())
                    .set("type", klConceptSaveVO.getScopeType());
            res = this.update(new KlLis(),klDiseaseQuerySub);
        } else {
            KlLis klLisSub = new KlLis();
            klLisSub.setConceptId(klConceptSaveVO.getConceptId());
            klLisSub.setGmtModified(now);
            klLisSub.setModifier(UserUtils.getCurrentPrincipleID());
            klLisSub.setMinValue(klConceptSaveVO.getMinVal());
            klLisSub.setMaxValue(klConceptSaveVO.getMaxVal());
            klLisSub.setType(klConceptSaveVO.getScopeType());
            res = this.save(klLisSub);
        }
        return res;
    }
}
